[project]
name = "protestswap"
version = "0.0.1"
license-files = ["LICEN[CS]E*"]
description = "A minimal pyproject.toml"
authors = [ ]
requires-python = ">=3.13"
dependencies = [
  "insightface",
  "onnxruntime",
  "opencv-python",
  "matplotlib",
  "fastapi[standard]",
]

[project.scripts]
protestswap-cli = "protestswap.cli:main"
# protestswap-server = "protestswap.server:"

[build-system]
requires = ["uv_build >= 0.8.17, <0.9.0"]
build-backend = "uv_build"

[tool.setuptools.packages]
find = {namespaces = false}  # Disable implicit namespaces
